Bug 1257908 - Review Request: perl-Devel-GoFaster - Optimise executable Perl ops
Review Request: perl-Devel-GoFaster - Optimise executable Perl ops
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 07:33 EDT by Petr Šabata
Modified: 2015-11-25 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Devel-GoFaster-0.000-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 11:08:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-08-28 07:33:28 EDT
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Devel-GoFaster/perl-Devel-GoFaster.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Devel-GoFaster/perl-Devel-GoFaster-0.000-1.fc22.src.rpm
Description:
This module implements some optimisations in compiled Perl code, which
should make it run slightly faster without visibly affecting behaviour. The
optimisations are applied at the peephole optimisation step, augmenting
Perl's built-in optimisations.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2015-08-28 08:40:43 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Devel-GoFaster-0.000-1.fc24.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libperl.so.5.22()(64bit)
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Lexical::SealRequireHints) >= 0.007
      1 perl(XSLoader)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -qp --provides perl-Devel-GoFaster-0.000-1.fc24.x86_64.rpm | sort | uniq -c
      1 perl(Devel::GoFaster) = 0.000
      1 perl-Devel-GoFaster = 0.000-1.fc24
      1 perl-Devel-GoFaster(x86-64) = 0.000-1.fc24
Binary provides are Ok.

rpmlint ./perl-Devel-GoFaster*
perl-Devel-GoFaster.src: W: spelling-error Summary(en_US) Optimise -> Optimist, Optimism, Optimize
perl-Devel-GoFaster.src: W: spelling-error %description -l en_US optimisations -> optimizations, optimization, improvisations
perl-Devel-GoFaster.src: W: spelling-error %description -l en_US behaviour -> behavior
perl-Devel-GoFaster.src: W: spelling-error %description -l en_US optimisation -> optimization, improvisation, misapplication
perl-Devel-GoFaster.x86_64: W: spelling-error Summary(en_US) Optimise -> Optimist, Optimism, Optimize
perl-Devel-GoFaster.x86_64: W: spelling-error %description -l en_US optimisations -> optimizations, optimization, improvisations
perl-Devel-GoFaster.x86_64: W: spelling-error %description -l en_US behaviour -> behavior
perl-Devel-GoFaster.x86_64: W: spelling-error %description -l en_US optimisation -> optimization, improvisation, misapplication
perl-Devel-GoFaster.x86_64: E: zero-length /usr/lib64/perl5/vendor_perl/auto/Devel/GoFaster/GoFaster.bs
2 packages and 1 specfiles checked; 1 errors, 8 warnings.


FIX: Please remove a *.bs file

Otherwise the package looks good.
APPROVED
Comment 2 Petr Šabata 2015-08-28 08:58:52 EDT
New Package SCM Request
=======================
Package Name: perl-Devel-GoFaster
Short Description: Optimise executable Perl ops
Upstream URL: http://search.cpan.org/dist/Devel-GoFaster/
Owners: psabata jplesnik ppisar
Branches: f22 f23
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-08-28 09:03:38 EDT
Git done (by process-git-requests).
Comment 4 Petr Šabata 2015-08-28 09:12:50 EDT
Wow, that was unexpectedly fast.  Thank you both.

(In reply to Jitka Plesnikova from comment #1)
> FIX: Please remove a *.bs file

Done.
Comment 5 Fedora Update System 2015-08-28 09:43:08 EDT
perl-Devel-GoFaster-0.000-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14495
Comment 6 Fedora Update System 2015-08-28 09:43:20 EDT
perl-Devel-GoFaster-0.000-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14496
Comment 7 Fedora Update System 2015-08-28 14:57:24 EDT
perl-Devel-GoFaster-0.000-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-Devel-GoFaster'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14496
Comment 8 Fedora Update System 2015-08-31 14:52:19 EDT
perl-Devel-GoFaster-0.000-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-Devel-GoFaster'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14495
Comment 9 Fedora Update System 2015-09-15 15:51:03 EDT
perl-Devel-GoFaster-0.000-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-09-18 15:00:39 EDT
perl-Devel-GoFaster-0.000-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.